import type { ResultOf, TypedDocumentNode, VariablesOf } from '@graphql-typed-document-node/core';
export declare type Exact<T extends {
    [key: string]: unknown;
}> = {
    [K in keyof T]: T[K];
};
declare type Error = {
    message: string;
    extensions?: {
        code?: string;
    };
};
interface GqlResponse<TData> {
    data?: TData;
    errors?: Error[];
}
declare type TypedResponse<TData> = Promise<Omit<Response, 'json'> & {
    json: () => Promise<GqlResponse<ResultOf<TData>>>;
}>;
export declare function gqlRequest<TDocument extends TypedDocumentNode<any, any>>({ endpoint, headers: headersInit, query, variables, }: {
    endpoint: string;
    headers?: HeadersInit;
    query: TDocument;
    variables?: VariablesOf<TDocument> extends Exact<{
        [key: string]: never;
    }> ? undefined : VariablesOf<TDocument>;
}): TypedResponse<TDocument>;
export {};
//# sourceMappingURL=index.d.ts.map